"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const execa = require('execa');
const Listr = require("listr");
const tasks_1 = require("../tasks");
const utils_1 = require("../utils");
const chalk = require('chalk');
function npmDistTagRun(cli) {
    const { project, verbose } = cli.flags;
    const cmd = cli.input[1];
    const tag = cli.input[2];
    if (cli.flags.debug) {
        console.log(chalk.bgMagenta('[NPM-SM] DEBUG:'), chalk.magenta('Project Src [' + project + ']'));
        console.log(chalk.bgMagenta('[NPM-SM] DEBUG:'), chalk.magenta('Command [' + cmd + ']'));
        console.log(chalk.bgMagenta('[NPM-SM] DEBUG:'), chalk.magenta('tag [' + tag + ']'));
    }
    return utils_1.findSubmodules(project)
        .then((opts) => {
        const tasks = new Listr([
            {
                title: 'Task: ' + chalk.blue('Version all sub modules'),
                task: () => new Listr(opts.map(opt => ({
                    title: `npm dist-tag ${cmd} ${opt.pkg.name}@${opt.pkg.version}`,
                    task: () => tasks_1.npmDistTag({
                        cmd, tag,
                        module: opt.pkg.name,
                        version: opt.pkg.version
                    })
                })))
            }
        ], { renderer: verbose ? 'verbose' : 'default' });
        return tasks.run();
    });
}
exports.npmDistTagRun = npmDistTagRun;
