"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const execa = require('execa');
/**
 * run npm dist-tag as follows
 *
 *    npm dist-tag add <pkg>@<version> [<tag>]
 *    npm dist-tag rm <pkg> <tag>
 *    npm dist-tag ls [<pkg>]opt.dist
 *
 * @param yarn was previously running yarn for npm ?
 * @param cmd the command to run {add|rm|ls}
 * @param module the module we are working within
 * @param version version to add
 * @param tag tag to add
 * @returns {any}
 */
function npmDistTag({ cmd, module, version, tag = '' }) {
    // const npm = yarn ? 'yarn' : 'npm';
    const pkg = cmd === 'add' ? `${module}@${version}` : module;
    return execa.shell(['npm', 'dist-tag', cmd, pkg, tag].join(' '))
        .then(res => {
        console.log(`Package ${module}`);
        console.log(res.stdout);
    });
}
exports.npmDistTag = npmDistTag;
