"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const execa = require('execa');
function npmVersion({ src, version, noGitTagVersion, message = '' }) {
    // we just updated subpackages versions, so working dir is not clean
    // but we knew it and using --force flag
    // so it will produce error:  npm WARN using --force I sure hope you know what you are doing.
    // and we can swallow it
    const args = [' ', '--force'];
    const command = `npm version ${version}`;
    if (message) {
        args.push('-m', `"${message}"`);
    }
    if (noGitTagVersion) {
        args.push('--no-git-tag-version');
    }
    const cmd = command + args.join(' ');
    console.log(cmd);
    return new Promise(resolve => execa.shell(cmd, { cwd: path.resolve(src) })
        .then(resolve).catch(resolve));
}
exports.npmVersion = npmVersion;
